Retrieves the equipment_model object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_model
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

name

Name of the equipment model

string

Required

Max length: 50

description

Description of the equipment model

string
equipment_brand_id

FK Of Equipment brand

globally unique identifier
equipment_brand_code

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

string
equipment_brand

Embedded entity "equipment_brand" using ERP PK when adding/updating equipment_model

equipment_brand
equipment_family_id

FK Of equipment_family

globally unique identifier
equipment_family_code

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

string
equipment_family

Embedded entity "equipment_family" using ERP PK when adding/updating equipment_model

equipment_family
date_in_production_since

Date in production since

date
date_out_of_production_since

Date Out Of production since

date
date_end_support

Date end support

date
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating equipment_model

string
sales_organization

Embedded entity "sales_organization" when adding/updating equipment_model

sales_organization
replacement_period_nb_months

replacement_period_nb_months

integer
warranty_period_nb_months

warranty_period_nb_months

integer
translations

List of translation of specific field name

Collection of translation
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "f6b02d37-cdcc-428f-bd24-2e9d667d051d",
  "code": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "equipment_brand_id": "518da988-e8b3-422d-bb1b-84a05a2c4f84",
  "equipment_brand_code": "sample string 6",
  "equipment_brand": {
    "id": "47ca19f6-9edc-4cfd-a864-2b17e84e352e",
    "name": "sample string 2",
    "code": "sample string 3",
    "sales_organization_id": "1362d07d-6bbd-4724-b870-a6d4396fe10b",
    "sales_organization_code": "sample string 5",
    "sales_organization": {
      "id": "ec1b6608-e99c-410e-801c-2d4a957e248e",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "c6254e87-1806-401c-81d7-7d734a063b1e",
      "db_currency_id": "c5617000-e9e2-49ac-a71f-9f14da7226bc",
      "db_language_id": "66d1fc0b-5972-49ba-9f14-dfbcfb08fa76",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-26T13:45:41.4507425+00:00"
    },
    "modified_dateutc": "2026-10-26T13:45:41.4507425+00:00"
  },
  "equipment_family_id": "07385d6c-b104-4ccf-9687-d21596cd4c75",
  "equipment_family_code": "sample string 8",
  "equipment_family": {
    "id": "2fa9fc09-99d3-4623-84ac-11adb16d52bc",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "_parent_id": "562cfea2-229d-45d3-8b5c-5d6ed7c3932a",
    "_parent_code": "sample string 6",
    "sales_organization_id": "aecb4c2d-e8ec-4e25-a1d6-476e64011169",
    "sales_organization_code": "sample string 8",
    "sales_organization": {
      "id": "ec1b6608-e99c-410e-801c-2d4a957e248e",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "c6254e87-1806-401c-81d7-7d734a063b1e",
      "db_currency_id": "c5617000-e9e2-49ac-a71f-9f14da7226bc",
      "db_language_id": "66d1fc0b-5972-49ba-9f14-dfbcfb08fa76",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-10-26T13:45:41.4507425+00:00"
    },
    "modified_dateutc": "2026-10-26T13:45:41.4507425+00:00"
  },
  "date_in_production_since": "2026-10-26T13:45:41.4507425+00:00",
  "date_out_of_production_since": "2026-10-26T13:45:41.4507425+00:00",
  "date_end_support": "2026-10-26T13:45:41.4507425+00:00",
  "sales_organization_id": "52b9c90b-d2a0-45a5-9366-29b949737b16",
  "sales_organization_code": "sample string 13",
  "sales_organization": {
    "id": "ec1b6608-e99c-410e-801c-2d4a957e248e",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "c6254e87-1806-401c-81d7-7d734a063b1e",
    "db_currency_id": "c5617000-e9e2-49ac-a71f-9f14da7226bc",
    "db_language_id": "66d1fc0b-5972-49ba-9f14-dfbcfb08fa76",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-26T13:45:41.4507425+00:00"
  },
  "replacement_period_nb_months": 14,
  "warranty_period_nb_months": 15,
  "translations": [
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    },
    {
      "field_name": "sample string 1",
      "language_code": "sample string 2",
      "value_translated": "sample string 3"
    }
  ],
  "modified_dateutc": "2026-10-26T13:45:41.4507425+00:00"
}